"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SageMakerGeospatial = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const DeleteEarthObservationJobCommand_1 = require("./commands/DeleteEarthObservationJobCommand");
const DeleteVectorEnrichmentJobCommand_1 = require("./commands/DeleteVectorEnrichmentJobCommand");
const ExportEarthObservationJobCommand_1 = require("./commands/ExportEarthObservationJobCommand");
const ExportVectorEnrichmentJobCommand_1 = require("./commands/ExportVectorEnrichmentJobCommand");
const GetEarthObservationJobCommand_1 = require("./commands/GetEarthObservationJobCommand");
const GetRasterDataCollectionCommand_1 = require("./commands/GetRasterDataCollectionCommand");
const GetTileCommand_1 = require("./commands/GetTileCommand");
const GetVectorEnrichmentJobCommand_1 = require("./commands/GetVectorEnrichmentJobCommand");
const ListEarthObservationJobsCommand_1 = require("./commands/ListEarthObservationJobsCommand");
const ListRasterDataCollectionsCommand_1 = require("./commands/ListRasterDataCollectionsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ListVectorEnrichmentJobsCommand_1 = require("./commands/ListVectorEnrichmentJobsCommand");
const SearchRasterDataCollectionCommand_1 = require("./commands/SearchRasterDataCollectionCommand");
const StartEarthObservationJobCommand_1 = require("./commands/StartEarthObservationJobCommand");
const StartVectorEnrichmentJobCommand_1 = require("./commands/StartVectorEnrichmentJobCommand");
const StopEarthObservationJobCommand_1 = require("./commands/StopEarthObservationJobCommand");
const StopVectorEnrichmentJobCommand_1 = require("./commands/StopVectorEnrichmentJobCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const SageMakerGeospatialClient_1 = require("./SageMakerGeospatialClient");
const commands = {
    DeleteEarthObservationJobCommand: DeleteEarthObservationJobCommand_1.DeleteEarthObservationJobCommand,
    DeleteVectorEnrichmentJobCommand: DeleteVectorEnrichmentJobCommand_1.DeleteVectorEnrichmentJobCommand,
    ExportEarthObservationJobCommand: ExportEarthObservationJobCommand_1.ExportEarthObservationJobCommand,
    ExportVectorEnrichmentJobCommand: ExportVectorEnrichmentJobCommand_1.ExportVectorEnrichmentJobCommand,
    GetEarthObservationJobCommand: GetEarthObservationJobCommand_1.GetEarthObservationJobCommand,
    GetRasterDataCollectionCommand: GetRasterDataCollectionCommand_1.GetRasterDataCollectionCommand,
    GetTileCommand: GetTileCommand_1.GetTileCommand,
    GetVectorEnrichmentJobCommand: GetVectorEnrichmentJobCommand_1.GetVectorEnrichmentJobCommand,
    ListEarthObservationJobsCommand: ListEarthObservationJobsCommand_1.ListEarthObservationJobsCommand,
    ListRasterDataCollectionsCommand: ListRasterDataCollectionsCommand_1.ListRasterDataCollectionsCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    ListVectorEnrichmentJobsCommand: ListVectorEnrichmentJobsCommand_1.ListVectorEnrichmentJobsCommand,
    SearchRasterDataCollectionCommand: SearchRasterDataCollectionCommand_1.SearchRasterDataCollectionCommand,
    StartEarthObservationJobCommand: StartEarthObservationJobCommand_1.StartEarthObservationJobCommand,
    StartVectorEnrichmentJobCommand: StartVectorEnrichmentJobCommand_1.StartVectorEnrichmentJobCommand,
    StopEarthObservationJobCommand: StopEarthObservationJobCommand_1.StopEarthObservationJobCommand,
    StopVectorEnrichmentJobCommand: StopVectorEnrichmentJobCommand_1.StopVectorEnrichmentJobCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
};
class SageMakerGeospatial extends SageMakerGeospatialClient_1.SageMakerGeospatialClient {
}
exports.SageMakerGeospatial = SageMakerGeospatial;
(0, smithy_client_1.createAggregatedClient)(commands, SageMakerGeospatial);
